<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools" >

    <data >

    </data >

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical" >

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="90dp"
            android:padding="@dimen/dp_12" >

            <TextView
                android:id="@+id/available_balance_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_8"
                android:text="@string/available_balance"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/available_balance"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_10"
                android:text="￥2000"
                app:layout_constraintBottom_toBottomOf="@id/available_balance_name"
                app:layout_constraintStart_toEndOf="@id/available_balance_name"
                app:layout_constraintTop_toTopOf="@id/available_balance_name" />

            <TextView
                android:id="@+id/all_balance_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/all_balance"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent" />

            <TextView
                android:id="@+id/all_balance"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="￥20000"
                app:layout_constraintBottom_toBottomOf="@id/all_balance_name"
                app:layout_constraintStart_toEndOf="@id/all_balance_name"
                app:layout_constraintTop_toTopOf="@id/all_balance_name" />

            <TextView
                android:id="@+id/freeze_balance_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/freeze_balance"
                app:layout_constraintBottom_toBottomOf="@id/freeze_balance"
                app:layout_constraintEnd_toStartOf="@id/freeze_balance"
                app:layout_constraintTop_toTopOf="@id/freeze_balance" />

            <TextView
                android:id="@+id/freeze_balance"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="￥20000"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent" />

            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
                android:id="@+id/btn_withdraw"
                android:layout_width="70dp"
                android:layout_height="28dp"
                android:text="@string/withdraw"
                app:layout_constraintBottom_toBottomOf="@id/available_balance_name"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="@id/available_balance_name"
                app:qmui_radius="@dimen/dp_5" />

            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
                android:id="@+id/btn_topup"
                android:layout_width="70dp"
                android:layout_height="28dp"
                android:layout_marginEnd="@dimen/dp_8"
                android:text="@string/topup"
                app:layout_constraintBottom_toBottomOf="@id/available_balance_name"
                app:layout_constraintEnd_toStartOf="@id/btn_withdraw"
                app:layout_constraintTop_toTopOf="@id/available_balance_name"
                app:qmui_radius="@dimen/dp_5" />

        </androidx.constraintlayout.widget.ConstraintLayout >

        <View
            android:layout_width="match_parent"
            android:layout_height="0.6dp"
            android:background="@color/gray_lite" />

        <LinearLayout
            style="@style/mine_list"
            android:layout_marginTop="4dp" >

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="@string/bill_detail" />

            <ImageView
                style="@style/mine_arrow_right"
                android:src="@drawable/mine_right" />

        </LinearLayout >

        <View
            android:layout_width="match_parent"
            android:layout_height="0.6dp"
            android:background="@color/gray_lite" />

        <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
            android:id="@+id/refresh_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent" >

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recycler_view"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                tools:listitem="@layout/item_bill" />

        </androidx.swiperefreshlayout.widget.SwipeRefreshLayout >
    </LinearLayout >

</layout >